// predmet1.h - Apstraktna klasa predmeta.

#ifndef _predmet1_h_
#define _predmet1_h_

#include <iostream>
using namespace std;

class Predmet {
  double sigma;        // Specificna tezina.
public:
  Predmet(double ss=1) { sigma = ss; }                  // Konstruktor.
  virtual double V() const =0;                          // Zapremina.
  double q() const { return V() * sigma; }              // Tezina.
protected:
  virtual void citaj(istream& ut) { ut >> sigma; }      // Citanje.
  friend istream& operator>>(istream& ut, Predmet& p)
    { p.citaj(ut); return ut; }
  virtual void pisi(ostream& it) const { it << sigma; } // Pisanje.
  friend ostream& operator<<(ostream& it, const Predmet& p)
    { p.pisi(it); return it; }
};

#endif

