// telo2.h - Apstraktna klasa tela.

#ifndef _telo2_h_
#define _telo2_h_

#include "predmet3.h"

namespace Predmeti {
  class Telo: public Predmet {
    double sigma;                               // Specifina teina tela.
  public:
    Telo(double s=1) { sigma = s; }             // Stvaranje tela.
    double spTez() const { return sigma; }      // Specifina teina tela.
    double Q() const override final             // Teina tela.
      { return sigma * V(); }
  protected:
    void pisi(ostream& it) const override       // Pisanje tela.
      { Predmet::pisi(it); it << '(' << sigma << ';'; }
  }; // class Telo
} // namespace Predmeti

#endif

