// duz2.h - Klasa dui.

#ifndef _duz2_h_
#define _duz2_h_

#include "figura4.h"
#include <iostream>
#include <utility>
using namespace std;

class Duz: public Figura {
  Vektor A, B;                                 // Vektori poloaja krajeva.
  void pisi(ostream& it) const override { it << A << '-' << B; } // Pisanje.
public:
  Duz(const Vektor& P, const Vektor& Q): A(P), B(Q) {} // Inicijalizacija.
  Duz& operator+=(const Vektor& v) override            // Pomeranje dui.
    { A += v; B += v; return *this; }
  Duz* kopija() const& override                // Kopija dui kopiranjem.
    { return new Duz(*this); }
  Duz* kopija() && override                    // Kopija dui premetanjem.
    { return new Duz(move(*this)); }
};

#endif
