// tacka7.h - Klasa taaka u prostoru.

#ifndef _tacka7_h_
#define _tacka7_h_

#include "figura2.h"
#include "vektor3.h"

class Tacka: public Figura {
  Vektor p;                                          // Vektor poloaja.
  void pisi(ostream& it) const override              // Pisanje take.
    { it << 'T' << p; }
public:
  Tacka(const Vektor& v=Vektor()): p(v) {}           // Stvaranje take.
  Tacka* kopija() const override                     // Kopija take.
    { return new Tacka(*this); }
  Tacka& operator+=(const Vektor& v) override        // Pomeranje take.
    { p += v; return *this; }
  Vektor teziste() const override { return p; }      // Teiste take.
};

#endif

