// uredjaj.h - Klasa elektrinih ureaja.

#ifndef _uredjaj_h_
#define _uredjaj_h_

#include "potrosac1.h"
#include <iostream>
#include <string>
#include <utility>
using namespace std;

namespace Potrosaci {
  class Uredjaj: public Potrosac {
    string naz;                                    // Naziv ureaja.
    double sna;                                    // Snaga ureaja.
    void pisi(ostream&it) const override           // Pisanje ureaja.
      { it << naz << '(' << sna << ')'; }
  public:
    Uredjaj(string n, double s): naz(n), sna(s) {} // Inicijalizacija.
    double snaga() const override { return sna; }  // Snaga ureaja.
    Uredjaj* kopija() const& override    // Kopija potroaa kopiranjem.
      {return new Uredjaj(*this);}
    Uredjaj* kopija() && override        // Kopija potroaa premetanjem.
      {return new Uredjaj(*this);}
  }; // class
} // namespace

#endif
